Bug 462351 - FEAT: tape test should use amanda
FEAT: tape test should use amanda
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks: 488133
  Show dependency treegraph
 
Reported: 2008-09-15 12:02 EDT by Greg Nichols
Modified: 2013-04-08 03:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 03:31:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Nichols 2008-09-15 12:02:04 EDT
Description of problem:

The tape test should use amanda, not mt-st.
Comment 1 YangKun 2008-09-17 01:42:34 EDT
please provide more information for this FEAT. 

Why drop mt-st ?

Is it just replacing mt-st with amanda or a re-write suggestion based on some new testing criteria/requirements ?

Thanks
-YK
Comment 2 Greg Nichols 2008-09-18 12:47:43 EDT
It is to replace mt-st with amanda.   This is to bring HTS's testing inline with RHEL QA, which uses amanda, as I understand it.
Comment 5 YangKun 2009-05-19 02:46:09 EDT
Hi Greg and Rob,

the only usage of mt-st in the tape test is to rewind the tape cartridge if it's not rewinded yet. this is not needed for those "st" devices.

amanda is a very powerful backup tool. for what I know, it also uses mt-st to rewind the tape cartridges.

the current tape test just simply copy some files to the tape cartridge, and then diff the copied data with the original copy. "tar" does this work well. Do we need to use amanda to do this simple job ? or we plan to augment the tape test to do some more testing ? I guess amanda will be more attractive for bug#488133 .

could you please suggest how should I proceed with this bug ?

Thank you
-YK

Note You need to log in before you can comment on or make changes to this bug.